
/**
 * Klasse zur Beschreibung der Lichtschranke.
 * 
 * @author Lilly Links
 * @version 1.0
 */
class LichtschrankeLilly extends Figur
{
    /**
    * Zu steuernde Tür
    */
    Schiebetuer tür;

    /**
     * Konstruktor für Objekte der Klasse Lichtschranke
     */
    LichtschrankeLilly()
    {
        super();
        super.GrößeSetzen(200);
        super.EigeneFigurLöschen();
        super.FigurteilFestlegenRechteck(-50, -50, 100, 1, "rot");
        
        tür = new Schiebetuer();
        tür. PositionSetzen(200, 345);
    }
    
    /**
     * Berührt die Figur die Lichtschranke, wird die Tür darüber informiert.
     */
    @Override public void AktionAusführen()
    {
        if(Berührt())
        {
            tür.TürStarten();
        }
    }
}
