
/**
 * Klasse zur Beschreibung der Lichtschranke.
 * 
 * @author Robina Rechts
 * @version 0.9
 */
class LichtschrankeRobina extends Figur
{
    /**
     * Zu steuernde Tür
     */
    Schiebetuer tür;

    /**
     * Konstruktor für Objekte der Klasse Lichtschranke
     */
    LichtschrankeRobina()
    {
        super();
        super.GrößeSetzen(200);
        super.EigeneFigurLöschen();
        super.FigurteilFestlegenRechteck(-50, -50, 100, 1, "rot");
        
        new Schiebetuer();
    }
    

    /**
     * Berührt die Figur die Lichtschranke, wird die Tür darüber informiert.
     */
    @Override public void AktionAusführen()
    {
        if(Berührt())
        {
            tür.TürStarten();
        }
    }
   
}
