
/**
 * Klasse zur Beschreibung der Schiebetür.
 * 
 * @author Klaus Reinold
 * @version 1.0
 */
class Schiebetuer extends Figur
{
    /** Attribut zur Beschreibung, ob sich die Schiebetür gerade bewegt.*/
    boolean istAktiv;
    /** Attribut zur Steuerung der bewegten Tür */
    int takt;

    /**
     * Konstruktor für Objekte der Klasse Schiebetür
     */
    Schiebetuer()
    {
        super();
        GrößeSetzen(200);
        EigeneFigurLöschen();
        FigurteilFestlegenRechteck(-50, -50, 100, 5, "blau");
        istAktiv = false;
        takt = 0;
        PositionSetzen(600, 345);
    }
    
    /**
     * Tür in Bewegung versetzen.
     */
    void TürStarten()
    {
        if(istAktiv == false)
        {
            istAktiv = true;
            takt = 0;
        }
    }
    
    /**
     * Methode zur Taktsteuerung der aktiven Tür
     */
    @Override void AktionAusführen()
    {
        if(istAktiv)
        {
            if(takt < 50)
            {
                Gehen(4);
            }
            else
            {
                Gehen(-4);
            }
            takt = takt + 1;
            if(takt == 100)
            {
                istAktiv = false;
                takt = 0;
            }
        }
    }
}
