
/**
 * Klasse zur Beschreibung des Eingangsbereichs 
 * mit Lichtschranken,Schiebetüren sowie einer Figur,
 * die über die Maus gesteuert wird.
 * 
 * @author Klaus Reinold
 * @version 1.0
 */
class SimulationEingangsbereich extends Ereignisbehandlung
{

    /**
     * Konstruktor für Objekte der Klasse Eingangsbereich
     */
    SimulationEingangsbereich()
    {
        LichtschrankeLilly lichtschrankeLinks;
        lichtschrankeLinks = new LichtschrankeLilly();
        lichtschrankeLinks.PositionSetzen(200, 300);
        
        LichtschrankeRobina lichtschrankeRechts;
        lichtschrankeRechts = new LichtschrankeRobina();
        lichtschrankeRechts.PositionSetzen(600, 400);
        
        Rechteck wand1;
        wand1 = new Rechteck();
        wand1.FarbeSetzen("weiß");
        wand1.PositionSetzen(0, 240);
        wand1.GrößeSetzen(100, 20);
        Rechteck wand2;
        wand2 = new Rechteck(); 
        wand2.FarbeSetzen("weiß");
        wand2.PositionSetzen(300, 240);
        wand2.GrößeSetzen(200, 20);
        Rechteck wand3;
        wand3 = new Rechteck();
        wand3.FarbeSetzen("weiß");
        wand3.PositionSetzen(700, 240);
        wand3.GrößeSetzen(100, 20);
        
        new Testperson();
        TaktdauerSetzen(200);
        Starten();
    }

    @Override void TaktImpulsAusführen()
    {
    }
    
    @Override void MausGeklickt (int x, int y, int anzahl)
    {
    }
}
